@charset "utf-8";

.faq-section {
  width: 100%;
  box-sizing: border-box;

  display: flex;
  padding: 120px 96px 100px 96px;
  flex-direction: column;
  align-items: flex-start;
  gap: 36px;
}

.faq-section .title-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}

.faq-section .title-container .title-text {
  color: var(--ref-base-black, #151818);

  /* Display/Medium */
  font-family: Pretendard;
  font-size: var(--ref-font-size-10-fluent, 45px);
  font-style: normal;
  font-weight: 700;
  line-height: 140%; /* 63px */
}

.faq-section .title-container .subtitle-text {
  color: var(--sys-text-light-700, #4e5760);

  /* Title/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-5-static, 20px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 32px */
}

.faq-section .content-container {
  width: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  gap: 43px;
  align-self: stretch;
}

.faq-section .content-container .faqs {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.faq-section .content-container .page-selector-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  align-self: stretch;
}

.faq-section .content-container .page-selector-container .page-control-button {
  width: 48px;
  height: 48px;
}

.faq-section .content-container .page-selector-container .pages {
  display: flex;
  width: 148px;
  align-items: center;
  gap: 4px;
}

.faq-section .content-container .page-selector-container .pages .page-button {
  width: 50px;
  height: 50px;
  box-sizing: border-box;
  justify-content: center;

  display: flex;
  padding: 12px 20px;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
}

.faq-section
  .content-container
  .page-selector-container
  .pages
  .page-button.selected {
  border-radius: 40px;
  background: var(--global-turquoise-opacity-a15, rgba(119, 196, 198, 0.15));
}

.faq-section .faq-item {
  display: none;
  cursor: pointer;
}

.faq-section .faq-item.active {
  display: flex;
  cursor: pointer;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.faq-section .faq-item .faq-title-container {
  flex-direction: row;

  display: flex;
  padding: 24px 36px;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
  border-radius: 16px;
  background: var(--global-turquoise-opacity-a08, rgba(119, 196, 198, 0.08));
}

.faq-section .faq-item .faq-title-container .faq-title-prefix-text {
  color: var(--sys-text-sub-lightest-500, #7e8a96);
  /* Title/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-5-static, 20px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 32px */
}

.faq-section .faq-item .faq-title-container .faq-title-text {
  color: var(--sys-text-sub-default-900, #373d44);
  /* Body/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-4-static, 18px);
  font-style: normal;
  font-weight: 400;
  line-height: 160%; /* 28.8px */
}

.faq-section .faq-item .faq-content-container {
  display: none;
}

.faq-section .faq-item .faq-content-container .faq-content-prefix-text {
  color: var(--sys-text-sub-lightest-500, #7e8a96);

  /* Title/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-5-static, 20px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 32px */
}

.faq-section .faq-item .faq-content-container .faq-content-text {
  white-space: pre-line;
  color: var(--sys-text-sub-default-900, #373d44);

  /* Body/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-4-static, 18px);
  font-style: normal;
  font-weight: 400;
  line-height: 160%; /* 28.8px */
}

.faq-section .faq-item.open .faq-title-container {
  flex-direction: row;

  display: flex;
  padding: 24px 36px;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
  border-radius: 16px;
  background: var(--sys-bg-primary-tint, #d4f8f8);
}

.faq-section .faq-item.open .faq-title-container .faq-title-prefix-text {
  color: var(--sys-text-sub-default-900, #373d44);
  /* Title/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-5-static, 20px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 32px */
}

.faq-section .faq-item.open .faq-title-container .faq-title-text {
  color: var(--sys-text-sub-default-900, #373d44);
  /* Title/Medium */
  font-family: Pretendard;
  font-size: var(--ref-font-size-4-static, 18px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 28.8px */
}

.faq-section .faq-item.open .faq-content-container {
  flex-direction: row;

  display: flex;
  padding: 24px 36px;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
  border-radius: 24px;
}

@media screen and (max-width: 1023px) {
  .faq-section {
    width: 100%;
    box-sizing: border-box;

    display: flex;
    padding: 50px 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
  }

  .faq-section .title-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
  }

  .faq-section .title-container .title-text {
    color: var(--global-gray-900, #222);
    /* Headline/Large */
    font-family: Pretendard;
    font-size: var(--ref-font-size-8-fluent, 32px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 51.2px */
  }

  .faq-section .title-container .subtitle-text {
    color: var(--sys-text-light-700, #4e5760);

    /* Title/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 25.6px */
  }

  .faq-section .content-container {
    width: 100%;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
    align-self: stretch;
  }

  .faq-section .content-container .faqs {
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
  }

  .faq-section .content-container .page-selector-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    align-self: stretch;
  }

  .faq-section
    .content-container
    .page-selector-container
    .page-control-button {
    width: 48px;
    height: 48px;
  }

  .faq-section .content-container .page-selector-container .pages {
    display: flex;
    width: 148px;
    align-items: center;
    gap: 4px;
  }

  .faq-section .content-container .page-selector-container .pages .page-button {
    display: flex;
    width: 40px;
    height: 40px;
    padding: 8px 16px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
  }

  .faq-section
    .content-container
    .page-selector-container
    .pages
    .page-button.selected {
    border-radius: 40px;
    background: var(--global-turquoise-opacity-a15, rgba(119, 196, 198, 0.15));
  }

  .faq-section .faq-item.active {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
  }

  .faq-section .faq-item {
    display: none;
    cursor: pointer;
  }

  .faq-section .faq-item .faq-title-container {
    flex-direction: row;

    display: flex;
    padding: 24px 36px;
    align-items: flex-start;
    gap: 12px;
    align-self: stretch;
    border-radius: 16px;
    background: var(--comp-style-neutral-light-50, #f3f5f7);
  }

  .faq-section .faq-item .faq-title-container .faq-title-prefix-text {
    color: var(--sys-text-sub-lightest-500, #7e8a96);
    /* Title/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 25.6px */
  }

  .faq-section .faq-item .faq-title-container .faq-title-text {
    color: var(--sys-text-default-900, #373d44);
    /* Body/Medium */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 400;
    line-height: 160%; /* 25.6px */
  }

  .faq-section .faq-item .faq-content-container {
    display: none;
  }

  .faq-section .faq-item .faq-content-container .faq-content-prefix-text {
    color: var(--sys-text-lightest-500, #7e8a96);
    /* Title/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 25.6px */
  }

  .faq-section .faq-item .faq-content-container .faq-content-text {
    color: var(--sys-text-light-700, #4e5760);
    /* Body/Medium */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 400;
    line-height: 160%; /* 25.6px */
  }

  .faq-section .faq-item.open .faq-title-container {
    flex-direction: row;

    display: flex;
    padding: 24px 36px;
    align-items: flex-start;
    gap: 12px;
    align-self: stretch;
  }

  .faq-section .faq-item.open .faq-title-container .faq-title-prefix-text {
    color: var(--sys-text-sub-default-900, #373d44);
    /* Title/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 25.6px */
  }

  .faq-section .faq-item.open .faq-title-container .faq-title-text {
    color: var(--sys-text-default-900, #373d44);
    /* Title/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 25.6px */
  }

  .faq-section .faq-item.open .faq-content-container {
    flex-direction: row;

    display: flex;
    padding: 24px 36px;
    align-items: flex-start;
    gap: 12px;
    align-self: stretch;
  }
}
